Page MenuHomePhabricator

tests: add test case for issue 6262
ClosedPublic

Authored by martinvonz on Jun 29 2021, 5:20 PM.

Details

Summary

If you split a commit, prune one of the sides, and then try to revive
that commit by adding a successor, it will incorrectly be considered
divergence.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jun 29 2021, 5:20 PM
Alphare accepted this revision.Jul 7 2021, 12:07 PM
This revision is now accepted and ready to land.Jul 7 2021, 12:07 PM
martinvonz retitled this revision from tests: demonstrate crash when trying to rewrite pruned part of a split to tests: add test case for issue 6262.
martinvonz edited the summary of this revision. (Show Details)
martinvonz updated this revision to Diff 28946.
pulkit accepted this revision.Jul 8 2021, 4:06 AM
This revision was automatically updated to reflect the committed changes.

I mistakenly amended this changeset, then fixed my issue. Sorry for the noise.